# DeleteJobPhase

Delete a phase from a job

`DELETE /api/v2/companies/{companyId}/jobs/{jobId}/phases/{phaseId}`

**API:** AvaTax API
**Tag:** Jobs
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Jobs/DeleteJobPhase/

## Description

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPTester, SSTAdmin, TechnicalSupportAdmin.
* This API depends on the following active services:*Required* (all):  AvaTaxPro, ECMEssentials, ECMPro, ECMPremium, VEMPro, VEMPremium, ECMProComms, ECMPremiumComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID number of the company |
| `jobId` | integer | path | Yes | The unique ID number of the job |
| `phaseId` | integer | path | Yes | The unique ID number of the phase to delete |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `JobPhaseModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `JobPhaseModel`

A phase within a certificate job.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | The unique ID number of this phase. Example: `1`. |
| `name` | string | No | The name of this phase. Example: `Phase 1`. |
| `jobId` | integer | No | The ID of the job this phase belongs to. Example: `1`. |
| `phaseCode` | string | No | The unique code for this phase. Example: `J-1-P-1`. |
| `createdDate` | string | No | The date when this phase was created. Example: `2026-02-23T04:40:54Z`. |
| `modifiedDate` | string | No | The date when this phase was last modified. Example: `2026-02-23T04:40:54Z`. |
| `tasks` | JobTaskModel[] | No | A list of tasks within this phase. |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/jobs/{jobId}/phases/{phaseId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```